> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get access key

> Returns details of a specific access key for an S3-compatible storage.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml get /storage/v4/object_storages/{storage_id}/access_keys/{access_key}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/v4/object_storages/{storage_id}/access_keys/{access_key}:
    get:
      tags:
        - S3-Compatible Storage
      summary: Get access key
      description: Returns details of a specific access key for an S3-compatible storage.
      operationId: getAccessKeyV4
      parameters:
        - name: storage_id
          in: path
          description: Storage ID
          required: true
          schema:
            type: integer
            format: int64
        - name: access_key
          in: path
          description: Access key to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: AccessKeyV4
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessKeyV4'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '401':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '404':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            access_key = client.storage.object_storages.access_keys.get(
                access_key="access_key",
                storage_id=0,
            )
            print(access_key.access_key)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/storage\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccessKey, err := client.Storage.ObjectStorages.AccessKeys.Get(\n\t\tcontext.TODO(),\n\t\t\"access_key\",\n\t\tstorage.ObjectStorageAccessKeyGetParams{\n\t\t\tStorageID: 0,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", accessKey.AccessKey)\n}\n"
components:
  schemas:
    AccessKeyV4:
      title: >-
        AccessKeyV4 An S3-compatible access key used to authenticate requests to
        the storage endpoint.
      required:
        - access_key
        - created_at
      type: object
      properties:
        access_key:
          type: string
          description: >-
            Access key ID used as the username in S3 authentication. Pass this
            in the `AWS_ACCESS_KEY_ID` field of your S3 client configuration.
          example: AKIAIOSFODNN7EXAMPLE
        created_at:
          type: string
          description: ISO 8601 timestamp when the access key was created
          format: date-time
          example: '2025-08-05T09:17:02Z'
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````